<?php

namespace App\Services\Equipment;

use App\Helpers\Equipment\LineHelper;
use App\Models\Equipment\LineModel;

class LineService extends EquipmentService
{
    public function __construct()
    {
        parent::__construct(new LineModel(), new LineHelper());
        $this->addClassName('Line');
    }
    public function getFormFields(): array
    {
        return [
            "type",
            "title",
            "bandwith",
            "start_at",
            "end_at",
            "status",
        ];
    }
    public function getFormFilters(): array
    {
        return [
            "type",
            'status',
        ];
    }
    public function getBatchjobFields(): array
    {
        return ['status'];
    }
    //기본 기능부분}
}
